com.amazonaws.services.codedeploy.model

## Class CreateDeploymentRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.CreateDeploymentRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateDeploymentRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a create deployment operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateDeploymentRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDeploymentRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`AutoRollbackConfiguration` `getAutoRollbackConfiguration()` Configuration information for an automatic rollback that is added when a deployment is created.
`String` `getDeploymentConfigName()` The name of a deployment configuration associated with the applicable IAM user or AWS account.
`String` `getDeploymentGroupName()` The name of the deployment group.
`String` `getDescription()` A comment about the deployment.
`Boolean` `getIgnoreApplicationStopFailures()` If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`RevisionLocation` `getRevision()` The type and location of the revision to deploy.
`Boolean` `getUpdateOutdatedInstancesOnly()` Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.
`int` `hashCode()`
`Boolean` `isIgnoreApplicationStopFailures()` If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`Boolean` `isUpdateOutdatedInstancesOnly()` Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.
`void` `setApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`void` `setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Configuration information for an automatic rollback that is added when a deployment is created.
`void` `setDeploymentConfigName(String deploymentConfigName)` The name of a deployment configuration associated with the applicable IAM user or AWS account.
`void` `setDeploymentGroupName(String deploymentGroupName)` The name of the deployment group.
`void` `setDescription(String description)` A comment about the deployment.
`void` `setIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)` If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`void` `setRevision(RevisionLocation revision)` The type and location of the revision to deploy.
`void` `setUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)` Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDeploymentRequest` `withApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`CreateDeploymentRequest` `withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Configuration information for an automatic rollback that is added when a deployment is created.
`CreateDeploymentRequest` `withDeploymentConfigName(String deploymentConfigName)` The name of a deployment configuration associated with the applicable IAM user or AWS account.
`CreateDeploymentRequest` `withDeploymentGroupName(String deploymentGroupName)` The name of the deployment group.
`CreateDeploymentRequest` `withDescription(String description)` A comment about the deployment.
`CreateDeploymentRequest` `withIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)` If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`CreateDeploymentRequest` `withRevision(RevisionLocation revision)` The type and location of the revision to deploy.
`CreateDeploymentRequest` `withUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)` Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDeploymentRequest

    public CreateDeploymentRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### getApplicationName

    public String getApplicationName()

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Returns:
  The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### withApplicationName

    public CreateDeploymentRequest withApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentGroupName

    public void setDeploymentGroupName(String deploymentGroupName)

The name of the deployment group.

Parameters:
  `deploymentGroupName` - The name of the deployment group.

#### getDeploymentGroupName

    public String getDeploymentGroupName()

The name of the deployment group.

Returns:
  The name of the deployment group.

#### withDeploymentGroupName

    public CreateDeploymentRequest withDeploymentGroupName(String deploymentGroupName)

The name of the deployment group.

Parameters:
  `deploymentGroupName` - The name of the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRevision

    public void setRevision(RevisionLocation revision)

The type and location of the revision to deploy.

Parameters:
  `revision` - The type and location of the revision to deploy.

#### getRevision

    public RevisionLocation getRevision()

The type and location of the revision to deploy.

Returns:
  The type and location of the revision to deploy.

#### withRevision

    public CreateDeploymentRequest withRevision(RevisionLocation revision)

The type and location of the revision to deploy.

Parameters:
  `revision` - The type and location of the revision to deploy.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentConfigName

    public void setDeploymentConfigName(String deploymentConfigName)

The name of a deployment configuration associated with the applicable IAM user or AWS account.

If not specified, the value configured in the deployment group will be used as the default. If the deployment group does not have a deployment configuration associated with it, then CodeDeployDefault.OneAtATime will be used by default.

Parameters:
  `deploymentConfigName` - The name of a deployment configuration associated with the applicable IAM user or AWS account.

  If not specified, the value configured in the deployment group will be used as the default. If the deployment group does not have a deployment configuration associated with it, then CodeDeployDefault.OneAtATime will be used by default.

#### getDeploymentConfigName

    public String getDeploymentConfigName()

The name of a deployment configuration associated with the applicable IAM user or AWS account.

If not specified, the value configured in the deployment group will be used as the default. If the deployment group does not have a deployment configuration associated with it, then CodeDeployDefault.OneAtATime will be used by default.

Returns:
  The name of a deployment configuration associated with the applicable IAM user or AWS account.

  If not specified, the value configured in the deployment group will be used as the default. If the deployment group does not have a deployment configuration associated with it, then CodeDeployDefault.OneAtATime will be used by default.

#### withDeploymentConfigName

    public CreateDeploymentRequest withDeploymentConfigName(String deploymentConfigName)

The name of a deployment configuration associated with the applicable IAM user or AWS account.

If not specified, the value configured in the deployment group will be used as the default. If the deployment group does not have a deployment configuration associated with it, then CodeDeployDefault.OneAtATime will be used by default.

Parameters:
  `deploymentConfigName` - The name of a deployment configuration associated with the applicable IAM user or AWS account.

  If not specified, the value configured in the deployment group will be used as the default. If the deployment group does not have a deployment configuration associated with it, then CodeDeployDefault.OneAtATime will be used by default.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A comment about the deployment.

Parameters:
  `description` - A comment about the deployment.

#### getDescription

    public String getDescription()

A comment about the deployment.

Returns:
  A comment about the deployment.

#### withDescription

    public CreateDeploymentRequest withDescription(String description)

A comment about the deployment.

Parameters:
  `description` - A comment about the deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIgnoreApplicationStopFailures

    public void setIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)

If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Parameters:
  `ignoreApplicationStopFailures` - If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

#### getIgnoreApplicationStopFailures

    public Boolean getIgnoreApplicationStopFailures()

If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Returns:
  If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

#### withIgnoreApplicationStopFailures

    public CreateDeploymentRequest withIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)

If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Parameters:
  `ignoreApplicationStopFailures` - If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isIgnoreApplicationStopFailures

    public Boolean isIgnoreApplicationStopFailures()

If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Returns:
  If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

#### setAutoRollbackConfiguration

    public void setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Configuration information for an automatic rollback that is added when a deployment is created.

Parameters:
  `autoRollbackConfiguration` - Configuration information for an automatic rollback that is added when a deployment is created.

#### getAutoRollbackConfiguration

    public AutoRollbackConfiguration getAutoRollbackConfiguration()

Configuration information for an automatic rollback that is added when a deployment is created.

Returns:
  Configuration information for an automatic rollback that is added when a deployment is created.

#### withAutoRollbackConfiguration

    public CreateDeploymentRequest withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Configuration information for an automatic rollback that is added when a deployment is created.

Parameters:
  `autoRollbackConfiguration` - Configuration information for an automatic rollback that is added when a deployment is created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUpdateOutdatedInstancesOnly

    public void setUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)

Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

Parameters:
  `updateOutdatedInstancesOnly` - Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

#### getUpdateOutdatedInstancesOnly

    public Boolean getUpdateOutdatedInstancesOnly()

Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

Returns:
  Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

#### withUpdateOutdatedInstancesOnly

    public CreateDeploymentRequest withUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)

Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

Parameters:
  `updateOutdatedInstancesOnly` - Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isUpdateOutdatedInstancesOnly

    public Boolean isUpdateOutdatedInstancesOnly()

Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

Returns:
  Indicates whether to deploy to all instances or only to instances that are not running the latest application revision.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDeploymentRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`